<?php
namespace Vnecoms\FeaturedProduct\Console;

use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class ProcessBlockProducts extends Command
{
    /**
     * @var \Psr\Log\LoggerInterface
     */
    protected $_logger;
    
    /**
     * @var \Vnecoms\FeaturedProduct\Helper\Data
     */
    protected $_helper;
    
    /**
     * Constructor
     *
     * @param AppResource $resource
     */
    public function __construct(
        \Vnecoms\FeaturedProduct\Helper\Data $helper,
        \Psr\Log\LoggerInterface $logger,
        $name = null
    ) {
        $this->_helper = $helper;
        $this->_logger = $logger;
        parent::__construct($name);
    }
    
    /**
     * Configure the command
     * @see \Symfony\Component\Console\Command\Command::configure()
     */
    protected function configure()
    {
        $this->setName('featuredproduct:process');
        $this->setDescription('Process featured product rules.');
    }
    
    /**
     * (non-PHPdoc)
     * @see \Symfony\Component\Console\Command\Command::execute()
     */
    protected function execute(InputInterface $input, OutputInterface $output)
    {
        $this->_helper->processBlocks();
        $output->writeln("Featured product blocks are processed.");
    }
}
