<?php
namespace Vnecoms\FeaturedProduct\Helper;

use Magento\Framework\App\Helper\AbstractHelper;
use Magento\Framework\App\ObjectManager;

/**
 * @SuppressWarnings(PHPMD.LongVariable)
 */
class Data extends AbstractHelper
{
    /**
     * @var \Vnecoms\FeaturedProduct\Model\ResourceModel\Block\CollectionFactory
     */
    protected $blockCollectionFactory;
    
    /**
     * Constructor
     *
     * @param \Vnecoms\HomeTabs\Model\ResourceModel\Tab\CollectionFactory $tabCollectionFactory
     * @param \Magento\Framework\App\Helper\Context $context
     */
    public function __construct(
        \Vnecoms\FeaturedProduct\Model\ResourceModel\Block\CollectionFactory $blockCollectionFactory,
        \Magento\Framework\App\Helper\Context $context
    ) {
        $this->blockCollectionFactory = $blockCollectionFactory;
        
        parent::__construct($context);
    }
    
    public function processBlocks()
    {
        /* Fix problem the state is not set*/
        $om = ObjectManager::getInstance();
        /** @var \Magento\Framework\App\State $state */
        $state = $om->get('Magento\Framework\App\State');
        
        $state->setAreaCode(\Magento\Framework\App\Area::AREA_CRONTAB);
        /** @var \Magento\Framework\ObjectManager\ConfigLoaderInterface $configLoader */
        $configLoader = $om->get('Magento\Framework\ObjectManager\ConfigLoaderInterface');
        /** @var \Magento\Framework\ObjectManagerInterface $objectManager */
        $objectManager = $om->get('Magento\Framework\ObjectManagerInterface');
        $objectManager->configure($configLoader->load(\Magento\Framework\App\Area::AREA_CRONTAB));
        /** @var \Magento\Framework\Event\ManagerInterface $eventManager */
        $eventManager = $objectManager->get('Magento\Framework\Event\ManagerInterface');
        $eventManager->dispatch('default');
        /* Fix problem with URL. As the queue is processed from bin/magento, not from index.php so the URL will be incorrect*/
        $_SERVER['SCRIPT_FILENAME'] = 'index.php';
        
        $blockCollection = $this->blockCollectionFactory->create();
        foreach ($blockCollection as $block) {
            $block->saveMatchedProducts();
        }
    }
}
