<?php
namespace Vnecoms\FeaturedProduct\Model\ResourceModel\Block;

/**
 * home tabs mysql resource
 */
class Product extends \Magento\Framework\Model\ResourceModel\Db\AbstractDb
{
    /**
     * Initialize resource model
     *
     * @return void
     */
    protected function _construct()
    {
        $this->_init('ves_featuredproduct_products', 'blockproduct_id');
    }
    
    /**
     * Get Id by Block Id and Website Id
     * @param int $blockId
     * @param int $websiteId
     */
    public function getIdByBlockAndWebsite($blockId, $websiteId){
        $table = $this->getMainTable();
        $connection = $this->getConnection();
        $select = $connection->select();
        
        $select->from(
            $table,
            ['blockproduct_id']
        )->where(
            'block_id = ?',$blockId
        )->where(
            'website_id = ?',$websiteId
        );
        
        
        return $connection->fetchOne($select);
    }
}
