define([
    'jquery',
    "jquery/featuredproduct-owl-carousel",
    'catalogAddToCart'
], function ($) {
    'use strict';
    
    $.widget('vnecoms.featuredproduct', {
        options: {
            blockId: 0,
            loadUrl: ''
        },

        /**
         * Creates widget
         * @private
         */
        _create: function () {
        	this.loadBlockContent();
        	this.bindNavSliderEvent();
        },
        bindNavSliderEvent: function()
        {
        	var featuredBlock = $('#vesfp_block_' + this.options.blockId);
        	featuredBlock.find('.vesfp_block_nav .vesfp_block_nav-prev').click(function () {
        		featuredBlock.find('.vesfp_block_content .vesfp_block_slider').trigger('prev.owl.carousel');
            });
        	featuredBlock.find('.vesfp_block_nav .vesfp_block_nav-next').click(function () {
        		featuredBlock.find('.vesfp_block_content .vesfp_block_slider').trigger('next.owl.carousel');
            });
        },
        /**
         * Load Tab Content
         */
        loadBlockContent: function()
        {
        	var options = this.options;
        	var featuredBlockContent = $('#vesfp_block_' + options.blockId).find('.vesfp_block_content');
            $.ajax({
                  url: this.options.loadUrl,
                  method: "GET",
                  dataType: "json"
            }).done(function ( response ) {
            	featuredBlockContent.html(response.product_list);
            	featuredBlockContent.removeClass('loading');
                $('[data-role=tocart-form], .form.map.checkout').catalogAddToCart();

                var sliderData = response.additional_data.slider?response.additional_data.slider:{};
                
                $(".vesfp_block_slider").owlCarousel({
                    margin: sliderData["margin"]?parseInt(sliderData["margin"]):20,
                    loop: sliderData["loop"]?parseInt(sliderData["loop"]):false,
                    slideBy: sliderData["slideBy"]?parseInt(sliderData["slideBy"]):1,
                    autoplay: sliderData["autoplay"]?parseInt(sliderData["autoplay"]):false,
                    autoplayTimeout: sliderData["autoplayTimeout"]?parseInt(sliderData["autoplayTimeout"]):2000,
                    autoplayHoverPause: sliderData["autoplayHoverPause"]?parseInt(sliderData["autoplayHoverPause"]):false,
                    autoplaySpeed: sliderData["autoplaySpeed"]?parseInt(sliderData["autoplaySpeed"]):500,
                    responsiveClass: true,
                    lazyLoad: true,
                    dots: false,
                    responsive:{
                        0:{
                            items: sliderData["cols_0"]?parseInt(sliderData["cols_0"]):1,
                            nav: false,
                        },
                        480:{
                            items: sliderData["cols_480"]?parseInt(sliderData["cols_480"]):2,
                            nav:false,
                            loop: false
                        },
                        768:{
                            items: sliderData["cols_768"]?parseInt(sliderData["cols_768"]):3,
                            nav:false
                        },
                        992:{
                            items: sliderData["cols_992"]?parseInt(sliderData["cols_992"]):4,
                            nav:false
                        },
                        1200:{
                            items: sliderData["cols_1200"]?parseInt(sliderData["cols_1200"]):5,
                            nav: false,
                        }
                    }
                });
                                
            }).fail(function () {
                
            });
        }

    });

    return $.vnecoms.featuredproduct;
});
