<?php
namespace Vnecoms\Sms\Block\Customer\Account;

use Magento\Framework\App\ObjectManager;

class Mobile extends \Vnecoms\Sms\Block\Customer\Register\Mobile
{
    /**
     * @var \Vnecoms\Sms\Model\Mobile
     */
    protected $mobile;
    
    /**
     * @return boolean
     */
    public function isEnabledVerifying(){
        return $this->smsHelper->isEnableVerifyingCustomerMobile();
    }
    
    /**
     * Mobile Object
     * 
     * @return \Vnecoms\Sms\Model\Mobile
     */
    public function getMobileObject(){
        if(!$this->mobile){
            $om = ObjectManager::getInstance();
            $this->mobile = $om->create('Vnecoms\Sms\Model\Mobile');
            $customerSession = $om->get('Magento\Customer\Model\Session');
            $this->mobile->load($customerSession->getCustomerId(), 'customer_id');
        }
        
        return $this->mobile;
    }
    /**
     * Get current Mobile Number
     * 
     * @return string
     */
    public function getInitMobileNumber(){
        $mobile = $this->getMobileObject();
        if($mobile->getMobileId()){
            return $mobile->getMobile();
        }
        return '';
    }
    
    /**
     * Is verified mobile
     * 
     * @return boolean
     */
    public function getIsVerifiedMobile(){
        $mobile = $this->getMobileObject();
        return $mobile->isVerified();
    }
}
